error in python violin



  • That's a mistake trying to set up a project in MavenMate.

    Exception in thread Thread-8:
    Traceback (most recent call last):
      File "/home/stepan/.config/sublime-text-3/Packages/MavensMate/lib/mm_interface.py", line 327, in run
        response_body = '\n'.join(mm_response)
    TypeError: sequence item 0: expected str instance, bytes found
    

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "./python3.3/threading.py", line 901, in _bootstrap_inner
    File "/home/stepan/.config/sublime-text-3/Packages/MavensMate/lib/mm_interface.py", line 331, in run
    strs.append(line.decode('utf-8'))
    UnicodeDecodeError: 'utf-8' codec can't decode byte 0xfd in position 139: invalid start byte

    Here's the section of the code that's fighting.
    введите сюда описание изображения



    1. Look at 327 lines, you've got a bait in your mm_response, and you're trying to connect them with str, that's what you're fighting about. How can a bartender be so: b'n'.join(mm_response)or 'n'.join(mm_response.decode('utf-8','replace')

    2. In line 331, you can't figure out the line with the whites in utf-8, you're fighting some kind of symbol, do it like that. strs.append(line.decode('utf-8', 'replace')And you'll see your symbol marked '?', you'll?


Log in to reply
 


Suggested Topics

  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2